Skip to content

Verify the email code for the bound customer password setup

Checks the emailed code to create or recover the customer's password.

POST/v1/customer-auth/password-setups/verify
No token

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/json

application/problem+json

curl -X POST "https://auth.ecomiq.pe/v1/customer-auth/password-setups/verify" \  -H "Content-Type: application/json" \  -d '{    "returnUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",    "browserKey": "replace_with_your_browser_key",    "challengeId": "7204558912004326731",    "code": "EJ-001"  }'
{  "needsSecondFactor": false}